lxqt-config (2.4.0-0ubuntu1) stonking; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update the upstream signing key.
  * Update Standards-Version to 4.7.4, dropping Priority: optional.
  * Update the copyright file.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 30 Apr 2026 14:39:00 -0500

lxqt-config (2.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release.
    - Update build dependencies.
    - Add lxqt-config-monitor-autostart.desktop and
      lxqt-config-touchpad-autostart.desktop to lxqt-config main package.
  * Update copyright file.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove unnecessary Rules-Requires-Root.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 19 Feb 2026 18:31:04 -0500

lxqt-config (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:19:33 -0500

lxqt-config (2.1.1-0ubuntu4) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:48:27 -0600

lxqt-config (2.1.1-0ubuntu3) plucky; urgency=medium

  * Recommend iso-flags-svg to utilize the new flags feature in the locale
    menu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 00:37:37 -0600

lxqt-config (2.1.1-0ubuntu2) plucky; urgency=medium

  * Fix manpage installation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 08 Feb 2025 01:28:05 -0600

lxqt-config (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 07 Feb 2025 14:34:41 -0600

lxqt-config (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:32 -0600

lxqt-config (2.0.0-0ubuntu2) oracular; urgency=medium

  * Fix libkscreen build dep package name.

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Aug 2024 11:33:02 +0100

lxqt-config (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Remove obsolete patches.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:41:23 -0500

lxqt-config (1.4.0-0ubuntu2) noble; urgency=medium

  * Add two upstream patches to improve the user experience, especially around
    monitor handling.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Dec 2023 16:05:33 -0600

lxqt-config (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bumped build dependency versions.
  * Added lxqt-menu-data as a build dependency.
  * Removee no-longer-existing files from lxqt-config.install.
  * Updated lintian-overrides syntax.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Created upstream/metadata file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 12 Nov 2023 18:12:05 -0600

lxqt-config (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * I guess we don't require root to build, do we?
  * Bump Standards-version to 4.6.2, no changes needed.
  * Fix the copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:49:54 -0500

lxqt-config (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream version.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump Standards-version, no changes needed.
  * Bump build dependencies in debian/control.
  * Drop reverse-applicable patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 17:09:36 -0600

lxqt-config (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Enhancements to the theme list.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jun 2022 14:22:35 -0400

lxqt-config (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove old Breaks/Replaces since we're past the LTS.
  * Add a new entry to the install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 15:00:38 -0500

lxqt-config (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
  * Rename tag for lintian override
  * Update debian/copyright
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Thu, 12 Aug 2021 17:03:12 +0200

lxqt-config (0.16.1-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Updated recommends.
  * Bumped debhelper-compat requirement to 13.
  * Fixed manpage errors about files existing in debian/tmp but not installed anywhere.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 22:44:21 +0530

lxqt-config (0.16.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #864482)
  * debian/control: updated build-deps.
  * debian/control: drop disk-manager from recommends as it has been
    removed from unstable. (Closes: #952967)
  * Update debian/lxqt-config.install to ship new binary files.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 16:09:45 +0800

lxqt-config (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Add build dependency on libxcb-randr0-dev (Closes: #952266).
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:42:32 -0500

lxqt-config (0.14.1-4) unstable; urgency=medium

  * Added build dependency libxcb-randr0-dev to fix FTBFS in testing and sid.
    Thanks Lucas Nussbaum <lucas@debian.org> for spotting this.
    (Closes: #952266)
  * Bumped Standards-Version to 4.5.0, no changes needed
  * Switched to gbp

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Feb 2020 01:49:32 +0100

lxqt-config (0.14.1-3) unstable; urgency=medium

  * Build without touchpad support on kfreebsd and hurd, thanks
    Paul Sonnenschein <paul@sonnenschein.ruhr> (Closes: #933336)

 -- Alf Gaida <agaida@siduction.org>  Sun, 04 Aug 2019 04:07:48 +0200

lxqt-config (0.14.1-2) unstable; urgency=medium

  * Fixed keyboard layout switch shortcut (Closes: #925346)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Mar 2019 15:53:38 +0100

lxqt-config (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped build dependency liblxqt to 0.14.1~
  * Extended the package description a bit

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 20:35:48 +0100

lxqt-config (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:54:59 -0600

lxqt-config (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Added build dependency libxi-dev
  * Added build dependency xserver-xorg-input-libinput-dev
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata
  * Fixed d/manpages
  * Basic Touchpad configuration added upstream (Closes: #845624)

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 17:15:29 +0100

lxqt-config (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove unneeded patches.
  * Bump debhelper compat to 12, no changes needed.
  * Add new lxqt-config-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:07:14 -0600

lxqt-config (0.13.0+git20181226-0ubuntu3) disco; urgency=medium

  * Don't recommend lxqt-config-l10n and conflict it at the same time.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Jan 2019 15:08:01 -0600

lxqt-config (0.13.0+git20181226-0ubuntu2) disco; urgency=medium

  * Add Conflicts/Replaces for lxqt-config-l10n.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Dec 2018 17:42:43 -0600

lxqt-config (0.13.0+git20181226-0ubuntu1) disco; urgency=medium

  * New upstream Git snapshot.
    - Remove reverse-applicable patches.
    - Add a patch lowering the LXQt version required.
    - Add missing build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Dec 2018 17:21:31 -0600

lxqt-config (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Added recommend xsettingsd

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 20:43:08 +0200

lxqt-config (0.13.0-0ubuntu5) cosmic; urgency=medium

  * Set default GTK theme if rc file doesn't exists.

 -- Hans P. Möller <hmoller@gmail.com>  Thu, 04 Oct 2018 14:44:03 -0300

lxqt-config (0.13.0-0ubuntu4) cosmic; urgency=medium

  * Make a path for GTK settings if it does not exist.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 03 Sep 2018 00:43:25 -7000

lxqt-config (0.13.0-0ubuntu3) cosmic; urgency=medium

  * Run wrap-and-sort.
  * Demote qt5-style-plugins to a Suggests, because some of the themes are not
    working (LP: #1785401).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Aug 2018 14:24:44 -0500

lxqt-config (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Change Uploaders to Ubuntu uploaders.
  * Add support for modifying GTK themes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 30 Jul 2018 16:35:02 -0500

lxqt-config (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:25:36 -0500

lxqt-config (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >=11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields to salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 00:22:41 +0200

lxqt-config (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 18:49:33 +0100

lxqt-config (0.12.0-2) unstable; urgency=medium

  * Transition to unstable
  * Drop no longer needed patches

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 21:33:59 +0100

lxqt-config (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release: 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped liblxqt to >= 0.12.0
  * Removed debian/patches - back to pure upstream

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 16:56:57 +0200

lxqt-config (0.11.1-4) unstable; urgency=medium

  * Ported back some upstream changes. (Closes: #871154)
    Make lxqt-config work with cmake > 3.7.2

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 16:06:24 +0200

lxqt-config (0.11.1-3) unstable; urgency=medium

  * Fixed typo lxapperance --> lxappearance
  * Fixed some arches to [linux-any]

 -- Alf Gaida <agaida@siduction.org>  Wed, 05 Jul 2017 02:38:44 +0200

lxqt-config (0.11.1-2) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Recommend lxqt-qtplugin (Closes: #866234)
  * Recommend lxqt-policykit (Closes: #866739)
  * Recommend lxqt-session and lxqt-powermanagement (Closes: #866760)
  * Recommend galternatives and systemconfig-printer, suggest
    diskmanager, gparted, networkmanagement, synaptic (Closes: #866763)
  * Recommend qt5-style-plugins and suggest adwaita-qt (Closes: #866774)
  * Suggest gnome-themes-standard and faenza-icon-theme (Closes: #866775)

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 18:24:12 +0200

lxqt-config (0.11.1-1) unstable; urgency=medium

  * Chery-picking new upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Added Recommends galternatives

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 12:36:49 +0100

lxqt-config (0.11.0-2) unstable; urgency=medium

  * Chery-picking new upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, compat 10 standard
  * Bumped build dependency debhelper (>= 10)
  * Bumped build dependency libqtxdg-dev (>= 2.0.0)
  * Added build-depenedency libqt5xdgiconloader-dev (>= 2.0.0)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added Recommends lxqt-config-l10n
  * Added README.md to docs
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed .gititgnore, added build-stamp
  * Fixed VCS fields, use https and plain /git/
  * Fixed copyright Format
  * Added missed new files to copyright
  * Bumped years in copyright
  * Fixed lintian-overrides
  * Added DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * Added translation control
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 02:28:02 +0200

lxqt-config (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 18:36:15 +0100

lxqt-config (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update Vcs-* fields.
  * Update copyright.
  * Remove Debian specific menu in favor of .desktop menu system.
  * Install manpage for lxqt-config.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 15:15:10 +0800

lxqt-config (0.9.0+20150806-2) unstable; urgency=medium

  * Fixed .gitignore, removed outdated entries
  * Fixed debian/control sorting and removed outdated versions.

 -- Alf Gaida <agaida@siduction.org>  Wed, 11 Nov 2015 20:51:11 +0100

lxqt-config (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Initial release. (Closes: #747597)
  * Added watch file.
  * Imported Upstream version 0.8.0.
  * Bump standards to 3.9.6.
  * Drop build dependency libegl1-mesa-dev, bug in Qt 5.3.0 is fixed.
  * Min Qt version 5.3.2.
  * Min liblxqt-qt5-0-dev version 0.8.0.
  * Mangled symbols added.
  * Added intian-overrides.
  * Patch some desktop files.
  * New release 0.9.0 drop not needed patches cleanup debian $foo add
    source/options.
  * Some cleanup in debian $foo.
  * Removed breaks and replaces.
  * Fixes in copyright.
  * Removed debian/symbols.
  * Added link --as-needed to rules to avoid warnings at build time.
  * Fixed licenses.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Drop transitional packages which don't need in debian.
  * Removing whitespaces at EOL and EOF.
  * Added missing build-deps libqt5svg5-dev and qtbase5-private-dev.
  * private-lib.patch: install .so file to private lib path.
  * No need to run ld_config as .so file installed into private lib path.
  * Drop shlib-without-versioned-soname relared overrides.

  [ Yukiharu YABUKI ]
  * Added to ignore *~ files.
  * Added a uploader.
  * Added README.source -- mention for License.

 -- Yukiharu YABUKI <yyabuki@debian.org>  Fri, 21 Aug 2015 19:40:47 +0900
